Package com.independentsoft.office.drawing.tableStyles

# Class TableCellStyle

java.lang.Object
com.independentsoft.office.drawing.tableStyles.TableCellStyle

public class TableCellStyle extends Object
The Class TableCellStyle.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableCellStyle()`
  Instantiates a new table cell style.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TableCellStyle`
  `clone()`
  `FillEffect`
  `getFillEffect()`
  Gets the fill effect.
  `FillReference`
  `getFillReference()`
  Gets the fill reference.
  `TableCellBorders`
  `getTableCellBorders()`
  Gets the table cell borders.
  `void`
  `setFillEffect​(FillEffect fillEffect)`
  Sets the fill effect.
  `void`
  `setFillReference​(FillReference fillReference)`
  Sets the fill reference.
  `void`
  `setTableCellBorders​(TableCellBorders tableCellBorders)`
  Sets the table cell borders.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TableCellStyle

    public TableCellStyle()
    Instantiates a new table cell style.

- ## Method Details

  - ### clone

    public TableCellStyle clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFillEffect

    public FillEffect getFillEffect()
    Gets the fill effect.
    Returns:
      the fill effect

  - ### setFillEffect

    public void setFillEffect​(FillEffect fillEffect)
    Sets the fill effect.
    Parameters:
      `fillEffect` - the new fill effect

  - ### getFillReference

    public FillReference getFillReference()
    Gets the fill reference.
    Returns:
      the fill reference

  - ### setFillReference

    public void setFillReference​(FillReference fillReference)
    Sets the fill reference.
    Parameters:
      `fillReference` - the new fill reference

  - ### getTableCellBorders

    public TableCellBorders getTableCellBorders()
    Gets the table cell borders.
    Returns:
      the table cell borders

  - ### setTableCellBorders

    public void setTableCellBorders​(TableCellBorders tableCellBorders)
    Sets the table cell borders.
    Parameters:
      `tableCellBorders` - the new table cell borders